use crate::handling::methods::Method;

use super::Request;

impl Request {
    /// Checks if the request can have a body
    pub fn can_have_body(&self) -> bool {
        matches!(
            self.method,
            Method::Post | Method::Put | Method::Patch | Method::Delete
        )
    }
    /// Checks if a body is mandatory for the Request
    pub fn mandatory_body(&self) -> bool {
        matches!(self.method, Method::Post | Method::Put | Method::Patch)
    }
}
